#ifndef CPROPERTYNODE_H
#define CPROPERTYNODE_H

#include <ccustomnode.h>
#include <cvaluenode.h>
#include <QtXml/QtXml>

class CPropertyNode : public CCustomNode
{
Q_OBJECT  
private:
  QList<CValueNode*> Values;
  void ProcessValueNode(QDomNode Node);
public:
   CPropertyNode ( QObject* parent = 0, int ValueCount = 1 );
   ~CPropertyNode();
   int getValueCount();
   QString GetCode();
   CValueNode* GetValue(int index);
   CValueNode* operator[](int index);
public slots:
  void OnErrorConfigFile(QString message);
  void OnProcessNode();
};

#endif
