#include <QCoreApplication>
#include <cconfigdispatcher.h>
#include <cseparatornode.h>
#include <cpropertynode.h>

void PrintTsetup(TSeparateSetup S)
{
  qDebug("Установки сепарации");
  qDebug("Области");
  int i, j;
  for (i = 0; i < MAX_CH-1; i++)
  {
      for (j = 0; j < MAX_OBL-1; j++)
      {
        qDebug("Канал %d, область %d [%f:%f]", i, j, S.Obl[i][j].Ls, S.Obl[i][j].Rs);
      }
  }
}

int main(int argc, char *argv[])
{
      QCoreApplication app(argc, argv);
      qDebug("Старт приложения");
      CConfigDispatcher Dispatcher;
      Dispatcher.Open("config.xml");
      TSeparateSetup Setup = Dispatcher.GetSeparatorConfig(0)->GetSeparateSetup();
      PrintTsetup(Setup);
      Dispatcher.GetSeparatorConfig(0)->CreateNewProperty("TEST_PROP3", 3);
      Dispatcher.GetSeparatorConfig(0)->Save();
      return 0;
}

